View Issue Details

IDProjectCategoryView StatusLast Update
0000592luatexluatex bugpublic2011-04-12 11:06
ReporterPaul IsambertAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.66.0 
Summary0000592: linebreak_filter doesn't do its default job when tex.linebreak is used.
Descriptionlinebreak_filter is supposed to create the paragraph with its argument if no node is returned; it doesn't do so if tex.linebreak is used (with any list); the paragraph disappears instead:

\directlua{
callback.register("linebreak_filter",
  function (head)
    tex.linebreak(node.new(8, 6))
  end)}

abc
\bye

Further exploration in the "post_linebreak_filter" shows that what has been returned is a single hlist (even for a multiline paragraph) containing rightskip only:

callback.register("post_linebreak_filter",
  function (head)
    for item in node.traverse(head) do
      texio.write_nl(item.id)
      if item.id == 0 then
        texio.write_nl(item.list.id, item.list.subtype)
      end
    end
    return head
  end)

Returns:
0
10
9
TagsNo tags attached.

Activities

Taco

2011-04-11 16:17

administrator   ~0000790

revision 4132, but *not* returning something from linebreak_filter is a bad idea.

Taco

2011-04-12 11:06

administrator   ~0000803

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2011-02-28 17:39 Paul Isambert New Issue
2011-04-11 11:55 Taco Status new => assigned
2011-04-11 11:55 Taco Assigned To => Taco
2011-04-11 16:17 Taco Note Added: 0000790
2011-04-11 16:17 Taco Status assigned => resolved
2011-04-11 16:17 Taco Resolution open => fixed
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000803
2011-04-12 11:06 Taco Status resolved => closed